Index: tmp/org.txm.core/src/java/org/txm/Toolbox.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 837)
+++ tmp/org.txm.core/src/java/org/txm/Toolbox.java	(revision 838)
@@ -271,7 +271,7 @@
 		// FIXME: persistence tests
 		if (TBXPreferences.getBoolean(TBXPreferences.AUTO_SAVE_RESULTS, TBXPreferences.PREFERENCES_NODE)) {
 			Log.finest("Toolbox.initialize(): reloading persitent results...");
-			ArrayList<String> resultsNodesQualifiers = TXMPreferences.getResultsNodesQualifiers();
+			ArrayList<String> resultsNodesQualifiers = TXMPreferences.getAllResultsNodesQualifiers();
 			for (String nodeQualifier : resultsNodesQualifiers) {
 				try {
 					Log.finest("Toolbox.initialize(): loading from result node qualifier " + nodeQualifier);
@@ -490,6 +490,14 @@
 		//save preferences
 		IPreferencesService service = Platform.getPreferencesService();
 		try {
+			
+			
+			// remove result local nodes if persistence preference is disabled
+			if (!TBXPreferences.getBoolean(TBXPreferences.AUTO_SAVE_RESULTS, TBXPreferences.PREFERENCES_NODE)) {
+				TXMPreferences.deleteAllResultsNodes();
+			}
+
+			
 			service.getRootNode().flush();
 			//		.childrenNames()) {
 			//			System.out.println("********************************************************************************************************"); //$NON-NLS-1$
Index: tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 837)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/TXMPreferences.java	(revision 838)
@@ -6,8 +6,6 @@
 import java.io.ObjectInputStream;
 import java.io.ObjectOutputStream;
 import java.io.Serializable;
-import java.io.StringBufferInputStream;
-import java.io.StringWriter;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.HashMap;
@@ -22,8 +20,9 @@
 import org.eclipse.core.runtime.preferences.IScopeContext;
 import org.eclipse.core.runtime.preferences.InstanceScope;
 import org.osgi.service.prefs.BackingStoreException;
+import org.osgi.service.prefs.Preferences;
+import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-import org.txm.core.results.TXMParameters;
 import org.txm.utils.logger.Log;
 
 
@@ -918,35 +917,7 @@
 		dump(scope, nodeQualifier);
 	}
 
-	/**
-	 * Gets all the result nodes qualifier (from *.prefs file starting with "txm_res").
-	 * @return
-	 */
-	public static ArrayList<String> getResultsNodesQualifiers()	{
-		ArrayList<String> resultsNodesQualifiers = new ArrayList<String>();
-		try {
-			IPreferencesService service = Platform.getPreferencesService();
-			for (String scopeName : service.getRootNode().childrenNames()) {
-				if(scopeName != TXMPreferences.scope.getName())	{
-					continue;
-				}
-					
-				String[] nodesNames = service.getRootNode().node(scopeName).childrenNames();
-				Arrays.sort(nodesNames);
-				for (String nodeName : nodesNames) {
-					if(nodeName.startsWith("txm_res_"))	{
-						resultsNodesQualifiers.add(nodeName);
-					}
-				}
-			}
-		} catch (Exception e) {
-			e.printStackTrace();;
-		}
 
-		return resultsNodesQualifiers;
-	}
-	
-	
 	/**
 	 * 
 	 * @param nodeQualifier
@@ -1068,20 +1039,69 @@
 	 * @param result
 	 */
 	public static void delete(TXMResult result)	{
+		delete(scope.getNode(result.getUUID()));
+		Log.finest("TXMPreferences.delete(): Local preferences node for object " + result.getUUID() + " deleted.");
+	}
+
+
+	/**
+	 * Deletes the specified node if exists and the associated .prefs file.
+	 * @param node
+	 */
+	public static void delete(IEclipsePreferences node)	{
 		try {
-			System.err.println("TXMPreferences.delete(): Local preferences for object " + result.getUUID() + " deleted.");
-			scope.getNode(result.getUUID()).clear();
-			scope.getNode(result.getUUID()).flush();
-			scope.getNode(result.getUUID()).removeNode();
+			node.clear();
+			node.flush();
+			node.removeNode();
 		}
 		catch(BackingStoreException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
+	
+	/**
+	 * Deletes all the result nodes from the preferences and files.
+	 */
+	public static void deleteAllResultsNodes()	{
+		ArrayList<String> resultsNodesQualifier = getAllResultsNodesQualifiers();
+		for (int i = 0; i < resultsNodesQualifier.size(); i++) {
+			delete(scope.getNode(resultsNodesQualifier.get(i)));
+		}
+	}
+	
+	
+	/**
+	 * Gets all the result nodes qualifiers (from *.prefs file starting with TXMResult.UUID_PREFIX, eg.: "txm_res_").
+	 * @return
+	 */
+	public static ArrayList<String> getAllResultsNodesQualifiers()	{
+		ArrayList<String> resultsNodesQualifiers = new ArrayList<String>();
+		try {
+			IPreferencesService service = Platform.getPreferencesService();
+			for (String scopeName : service.getRootNode().childrenNames()) {
+				if(scopeName != TXMPreferences.scope.getName())	{
+					continue;
+				}
+					
+				String[] nodesNames = service.getRootNode().node(scopeName).childrenNames();
+				Arrays.sort(nodesNames);
+				for (String nodeName : nodesNames) {
+					if(nodeName.startsWith(TXMResult.UUID_PREFIX))	{
+						resultsNodesQualifiers.add(nodeName);
+					}
+				}
+			}
+		} catch (Exception e) {
+			e.printStackTrace();
+		}
 
+		return resultsNodesQualifiers;
+	}
+	
 
-
+	
+	
 	/**
 	 * Internal method to find the node qualifier of a result otherwise look in instance, default scopes and in alternatives nodes qualifiers.
 	 * @param result
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 837)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 838)
@@ -13,6 +13,9 @@
  */
 public class TXMCoreMessages extends NLS {
 
+	
+	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
+	
 	public static String common_cols;
 	public static String common_delete;
 	public static String common_description;
@@ -271,7 +274,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(TXMCoreMessages.class);
+		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMCoreMessages.class);
 	}
 	
 	
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 837)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 838)
@@ -151,10 +151,6 @@
 	protected String propertyRegex;
 
 	
-	/**
-	 * Creates an empty Progression result with no parent.
-	 * @param corpus
-	 */
 	public Progression(Corpus corpus)	{
 		this(null, corpus);
 	}
@@ -314,7 +310,7 @@
 
 			this.subTask("Processing queries.");
 			if (!stepQueries()) {
-				System.out.println(ProgressionCoreMessages.ComputeProgression_3);
+				Log.severe(ProgressionCoreMessages.ComputeProgression_3);
 				return false;
 			}
 
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 837)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 838)
@@ -14,7 +14,6 @@
 import org.jfree.data.xy.XYSeriesCollection;
 import org.jfree.ui.RectangleAnchor;
 import org.jfree.ui.TextAnchor;
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
Index: tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java
===================================================================
--- tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 837)
+++ tmp/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGComposite.java	(revision 838)
@@ -1,8 +1,5 @@
 package org.txm.chartsengine.svgbatik.rcp.swt;
-import java.awt.BorderLayout;
 import java.awt.Component;
-import java.awt.EventQueue;
-import java.awt.Frame;
 import java.awt.Graphics2D;
 import java.awt.Toolkit;
 import java.awt.datatransfer.DataFlavor;
@@ -13,14 +10,10 @@
 import java.io.IOException;
 import java.net.MalformedURLException;
 
-import javax.swing.JPanel;
-
-import org.eclipse.swt.awt.SWT_AWT;
 import org.eclipse.swt.widgets.Composite;
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
-import org.txm.chartsengine.rcp.events.EventCallBackHandler;
-import org.txm.chartsengine.rcp.swt.ChartComposite;
+import org.txm.chartsengine.rcp.swt.SwingChartComposite;
 import org.txm.chartsengine.svgbatik.rcp.swing.SVGPanel;
 import org.txm.utils.logger.Log;
 import org.w3c.dom.svg.SVGDocument;
@@ -31,26 +24,15 @@
  * @author sjacquot
  *
  */
-public class SVGComposite extends ChartComposite	{
+public class SVGComposite extends SwingChartComposite	{
 
-	// FIXME: useless ? for reducing the flickering on resize under Window but it doesn't seem to work
-//	static
-//	{
-//		System.setProperty("sun.awt.noerasebackground", "true"); //$NON-NLS-1$ //$NON-NLS-2$
-//	}
-
 	
-	
 	/**
 	 * The loaded SVG file.
 	 */
 	protected File file;
 	
-	protected Frame frame;
 	
-	protected JPanel rootPanel;
-	
-	
 	/**
 	 * Creates a Batik SVG composite.
 	 * @param parent
@@ -60,16 +42,6 @@
 		super(chartEditor, parent, style);
 	
 		this.file = null;
-		
-		this.frame = SWT_AWT.new_Frame(this);
-		// Need to add an AWT Panel to fix mouse events and mouse cursors changes on Swing JPanel
-		this.rootPanel = new JPanel(new BorderLayout());
-		
-		this.frame.add(this.rootPanel);
-
-		//this.frame.pack();
-		this.frame.setVisible(true);
-		
 	}
 
 
@@ -114,53 +86,9 @@
 	}
 
 	
-	@Override
-	public void requestFocusInComposite()	{
-		EventQueue.invokeLater(new Runnable () {
-			public void run () {
-				getPanel().requestFocusInWindow();
-			}
-		});
-	}
 
 	
 	@Override
-	public void loadChart()	{
-		
-		// loads the chart from the result
-		Object chart = this.chartEditor.getChart();
-
-		if(chart != null) {
-			// creates components if they not exist
-			if(this.chartComponent == null)	{
-				
-				// recreates the chart if not of right type
-				if(!(chart instanceof File))	{
-					try {
-						this.chartEditor.getResult().clearLastRenderingParameters();
-						this.chartEditor.getResult().compute();
-					}
-					catch (Exception e) {
-						// TODO Auto-generated catch block
-						e.printStackTrace();
-					}
-				}
-				
-				
-				this.chartEditor.getSWTChartsComponentsProvider().createChartContainer(this.chartEditor.getEditorInput());
-				this.chartComponent = (IChartComponent) this.chartEditor.getEditorInput().getChartContainer();
-				
-				this.rootPanel.add((Component) this.chartComponent);
-
-				this.frame.setVisible(true);
-			}
-			this.file = (File) chart;	
-			this.loadSVGDocument(this.file);
-		}
-	}
-	
-	
-	@Override
 	public void loadChart(Object data) {
 		this.loadSVGDocument((File) data);
 	}
@@ -168,60 +96,15 @@
 	
 
 
-	@Override
-	public void copyChartViewToClipboard() {
-		SVGPanel panel = this.getPanel();
-		int w = panel.getWidth();
-		int h = panel.getHeight();
-		final BufferedImage bufferedImg = new BufferedImage(w, h, BufferedImage.TYPE_INT_RGB);
-		Graphics2D g = bufferedImg.createGraphics();
-		panel.paint(g);
-		
-		Transferable img = new Transferable() {
-			
-			@Override
-			public boolean isDataFlavorSupported(DataFlavor flavor) {
-				return DataFlavor.imageFlavor.equals(flavor);
-			}
-			
-			@Override
-			public DataFlavor[] getTransferDataFlavors() {
-				return new DataFlavor[] {DataFlavor.imageFlavor};
-			}
-			
-			@Override
-			public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException, IOException {
-				if(!DataFlavor.imageFlavor.equals(flavor))					    {
-					throw new UnsupportedFlavorException(flavor);
-				}
-				return bufferedImg;
-			}
 
-		};
-		
-		Toolkit.getDefaultToolkit().getSystemClipboard().setContents(img, null);
-		
-	}
 
 	@Override
 	public Object getChart() {
 		return this.file;
 	}
 
-	
-	@Override
-	public EventCallBackHandler getMouseCallBackHandler() {
-		return super.getMouseCallBackHandler(this.getPanel());
-	}
 
-
 	@Override
-	public EventCallBackHandler getKeyCallBackHandler() {
-		return super.getKeyCallBackHandler(this.getPanel());
-	}
-
-
-	@Override
 	public void clearChartItemsSelection() {
 		System.err.println("SVGComposite.clearChartItemsSelection(): not implemented.");
 	}
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 838)
@@ -62,7 +62,7 @@
 	/**
 	 * The charts engine description.
 	 */
-	public final static String DESCRIPTION = "Java";
+	public final static String DESCRIPTION = "JFreeChart/Java2D";
 
 	/**
 	 * The rendering theme.
@@ -978,15 +978,15 @@
 
 			// JFreeSVG generates rgba(x,x,x,x.x) CSS style which is part of SVG version 2. It's incompatible with the actual Batik version used by TXM to display SVG Files
 			// To fix this, replace from rgba() to rgb(), e.g.: stroke: rgba(255,0,0,0.352941);stroke-opacity: 1.0
-			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),([0-9\\.]+)\\);(stroke|fill)-opacity: [0-9\\.]+", "rgb\\($1,$2,$3\\);$5-opacity: $4");
+			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),([0-9\\.]+)\\);(stroke|fill)-opacity: [0-9\\.]+", "rgb\\($1,$2,$3\\);$5-opacity: $4"); //$NON-NLS-1$
 			// second pass
-			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),[0-9\\.]+\\)", "rgb\\($1,$2,$3\\)");
+			svg = svg.replaceAll("rgba\\(([0-9]+),([0-9]+),([0-9]+),[0-9\\.]+\\)", "rgb\\($1,$2,$3\\)"); //$NON-NLS-1$
 
 			// fix angular line join bug in step charts #1056
-			svg = svg.replaceAll("<svg ", "<svg style=\"stroke-linecap:square;\" ");
+			svg = svg.replaceAll("<svg ", "<svg style=\"stroke-linecap:square;\" "); //$NON-NLS-1$
 
 			// fix double ;; character bug  #1554
-			svg = svg.replaceAll("(;)(; )(stroke|fill)", "$2$3");
+			svg = svg.replaceAll("(;)(; )(stroke|fill)", "$2$3"); //$NON-NLS-1$
 			
 			
 			
@@ -995,8 +995,8 @@
 			    BufferedWriter writer = null;
 			    try {
 			        writer = new BufferedWriter(new FileWriter(file));
-			        writer.write("<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n");
-			        writer.write(svg + "\n");
+			        writer.write("<!DOCTYPE svg PUBLIC \"-//W3C//DTD SVG 1.1//EN\" \"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd\">\n"); //$NON-NLS-1$
+			        writer.write(svg + "\n"); //$NON-NLS-1$
 			        writer.flush();
 			    }
 			    finally	{
@@ -1310,30 +1310,19 @@
 	}
 
 
-	/**
-	 * 
-	 * @return
-	 */
-	public static ArrayList<String> getSupportedOutputDisplayFormatsStatic() {
+
+	@Override
+	public ArrayList<String> getSupportedOutputDisplayFormats() {
 		ArrayList<String> formats = new ArrayList<String>(1);
 		
 		formats.add(OUTPUT_FORMAT_JFC_JAVA2D);
 		
 		return formats;
 	}
-	
 
 	@Override
-	public ArrayList<String> getSupportedOutputDisplayFormats() {
-		return getSupportedOutputDisplayFormatsStatic();
-	}
-
-	/**
-	 * 
-	 * @return
-	 */
-	public static ArrayList<String> getSupportedOutputFileFormatsStatic() {
-	ArrayList<String> formats = new ArrayList<String>(6);
+	public ArrayList<String> getSupportedOutputFileFormats() {
+		ArrayList<String> formats = new ArrayList<String>(6);
 		
 		formats.add(OUTPUT_FORMAT_SVG); // Default format
 
@@ -1350,11 +1339,6 @@
 
 		return formats;
 	}
-	
-	@Override
-	public ArrayList<String> getSupportedOutputFileFormats() {
-		return getSupportedOutputFileFormatsStatic();
-	}
 
 
 
Index: tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 837)
+++ tmp/org.txm.chartsengine.jfreechart.core/META-INF/MANIFEST.MF	(revision 838)
@@ -1,16 +1,18 @@
 Manifest-Version: 1.0
-Require-Bundle: org.txm.libs.jfreechart;bundle-version="1.0.17";visibi
- lity:=reexport,org.txm.libs.itext;visibility:=reexport,org.eclipse.co
- re.runtime;visibility:=reexport,org.txm.libs.jfreesvg;bundle-version=
- "1.7.0";visibility:=reexport,org.txm.chartsengine.core;bundle-version
- ="1.0.0";visibility:=reexport,org.txm.core;visibility:=reexport
-Export-Package: org.txm.chartsengine.jfreechart.core,org.txm.chartseng
- ine.jfreechart.core.preferences,org.txm.chartsengine.jfreechart.core.
- renderers,org.txm.chartsengine.jfreechart.core.renderers.interfaces,o
- rg.txm.chartsengine.jfreechart.core.themes.base,org.txm.chartsengine.
- jfreechart.core.themes.highcharts.defaulttheme,org.txm.chartsengine.j
- freechart.core.themes.highcharts.defaulttheme.renderers,org.txm.chart
- sengine.jfreechart.core.themes.highcharts.defaulttheme.swing
+Require-Bundle: org.txm.libs.jfreechart;bundle-version="1.0.17";visibility:=reexport,
+ org.txm.libs.itext;visibility:=reexport,
+ org.eclipse.core.runtime;visibility:=reexport,
+ org.txm.libs.jfreesvg;bundle-version="1.7.0";visibility:=reexport,
+ org.txm.chartsengine.core;bundle-version="1.0.0";visibility:=reexport,
+ org.txm.core;visibility:=reexport
+Export-Package: org.txm.chartsengine.jfreechart.core,
+ org.txm.chartsengine.jfreechart.core.preferences,
+ org.txm.chartsengine.jfreechart.core.renderers,
+ org.txm.chartsengine.jfreechart.core.renderers.interfaces,
+ org.txm.chartsengine.jfreechart.core.themes.base,
+ org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme,
+ org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers,
+ org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.swing
 Bundle-Vendor: Textometrie.org
 Bundle-Version: 1.0.0.qualifier
 Bundle-Name: JFreeChart Charts Engine Core
Index: tmp/org.txm.backtomedia.feature/.project
===================================================================
--- tmp/org.txm.backtomedia.feature/.project	(revision 837)
+++ tmp/org.txm.backtomedia.feature/.project	(revision 838)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>BackToMediaFeature</name>
+	<name>org.txm.backtomedia.feature</name>
 	<comment></comment>
 	<projects>
 	</projects>
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 837)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 838)
@@ -422,10 +422,10 @@
 						tableViewer.setSelection(new StructuredSelection(line), true);
 						// FIXME: commented because the set top index makes the read of the table difficult
 						//tableViewer.getTable().setTopIndex(selectedPointInTableRange);
-						System.out.println("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selecting progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") in the linked Concordance table.");
+						Log.finest("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selecting progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") in the linked Concordance table.");
 					}
 					else	{
-						System.err.println("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selected progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") doesn't exist in the linked Concordance table.");
+						Log.finest("ProgressionEventCallBack.updateLinkedConcordanceEditor(...).new Runnable() {...}.run(): Selected progression point (" + selectedPointInTableRange + " / " + tableViewer.getTable().getItemCount() + ") doesn't exist in the linked Concordance table.");
 					}
 				}
 			});
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 837)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 838)
@@ -39,58 +39,51 @@
 
 
 /**
- * Computes a Progression and opens the result editor.
+ * Opens a Progression editor.
  * 
  * @author mdecorde
  * @author sjacquot
  */
 public class ComputeProgression extends BaseAbstractHandler {
 	
-	// FIXME: should be put in an Activator? or better in an extension point loaded by the corpora view? or in a method called here as initTreeDoubleClickListener(Class resultDataType, String commandId)?
-	// adds a double click listener to the Corpus View
-//	static	{
-//		CorporaView.addDoubleClickListener(Progression.class, ComputeProgression.class);
-//	}
-	
-	
-	
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
-		
 		if(!this.checkStatsEngine() || !this.checkCorpusEngine()) {
 			return false;
 		}
 
-		Object selection = this.getSelection(event);
-
-		
 		Progression progression = null;
 		
-
-		// Creating from UUID and preferences nodes
-		if (!event.getParameters().isEmpty()) {
-			progression = new Progression(event.getParameter(TXMPreferences.RESULT_UUID));
+		// From link: creating from UUID and preferences nodes
+		String uuid = event.getParameter(TXMPreferences.RESULT_UUID);
+		if (uuid != null && !uuid.isEmpty()) {
+			progression = new Progression(uuid);
 		}
-		// Creating from Corpus
-		else if (selection instanceof Corpus)	{
-			Corpus corpus = (Corpus) selection;
+		// From view result node
+		else	{
+			Object selection = this.getSelection(event);
 
-			if (!Progression.canRunProgression(corpus)) {
-				Log.severe(ProgressionCoreMessages.ComputeProgression_0);
-				// La fonctionnalité Progression n'est pas encore disponible pour les sous-corpus discontinus.
-				return null;
+			// Creating from Corpus
+			if (selection instanceof Corpus)	{
+				Corpus corpus = (Corpus) selection;
+	
+				if (!Progression.canRunProgression(corpus)) {
+					Log.severe(ProgressionCoreMessages.ComputeProgression_0);
+					// La fonctionnalité Progression n'est pas encore disponible pour les sous-corpus discontinus.
+					return null;
+				}
+				progression = new Progression(corpus);
 			}
-			progression = new Progression(corpus);
+			// Reopening an existing result
+			else if (selection instanceof Progression)	{
+				progression = (Progression) selection;
+			}
+			// Error
+			else {
+				return this.logCanNotCompute(selection);
+			}
 		}
-		// Reopening an existing result
-		else if (selection instanceof Progression)	{
-			progression = (Progression) selection;
-		}
-		// Error
-		else {
-			this.logCanNotCompute(selection);
-		}
 
 		ChartEditor.openEditor(progression);
 		
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 837)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 838)
@@ -863,6 +863,7 @@
 		refreshReferenceColumnTitle();
 		viewer.getControl().setRedraw(true);
 		viewer2.getControl().setRedraw(true);
+		
 	}
 
 
@@ -1240,13 +1241,19 @@
 
 		//if (true)// concordance==null || concordance.getQuery()!=query)
 		try {
+			
+			//FIXME: usless? called by TXMEditor
 			CorporaView.refresh();
 			CorporaView.expand(concordance.getCorpus());
+			
+			
 			QueriesView.refresh();
 
 			fillDisplayArea();
-
+			
+			//FIXME: usless? called by TXMEditor	
 			setPartName(concordance.getName());
+			
 			queryWidget.memorize();
 
 			resetColumnWidths();
@@ -1254,11 +1261,10 @@
 			JobsTimer.stopAndPrint();
 
 		} catch (Exception e1) {
-			System.out.println(TXMUIMessages.CorporaView_3+" "+Log.toString(e1)); //$NON-NLS-1$
+			System.out.println(TXMUIMessages.CorporaView_3 + " " + Log.toString(e1)); //$NON-NLS-1$
 			//System.err.println(Messages.CorporaView_3);
 			org.txm.rcp.utils.Logger.printStackTrace(e1);
 			try {
-				System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
 				Log.severe(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e2) {
 				System.out.println(ConcordanceUIMessages.ConcordancesEditor_7+e2);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 837)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/handlers/ComputeConcordance.java	(revision 838)
@@ -27,21 +27,15 @@
 //
 package org.txm.concordance.rcp.handlers;
 
-import java.util.Map;
-
-import javax.inject.Inject;
-
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
-import org.eclipse.ui.IEditorPart;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.concordance.rcp.messages.ConcordanceUIMessages;
-import org.txm.core.results.TXMParameters;
+import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.handlers.BaseAbstractHandler;
-import org.txm.searchengine.cqp.CQPSearchEngine;
 import org.txm.searchengine.cqp.corpus.Corpus;
 
 /**
@@ -55,56 +49,98 @@
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 		
-		// if a TXMParameters is linked to the command call, uses its parent to create the concordance
-		TXMParameters parameters = null;
-		Map cmdparameters = event.getParameters();
-		System.out.println(cmdparameters);
-		if (cmdparameters.containsKey(TXMParameters.class.getName())) {
-			Object iparam = cmdparameters.get(TXMParameters.class.getName());
-			if (iparam instanceof TXMParameters) {
-				parameters = (TXMParameters)iparam;
-			}
+		if(!this.checkCorpusEngine()) {
+			return false;
 		}
-		Object selection = null;
-		if (parameters == null) { // no parameters provided
-			selection = this.getSelection(event);
-		} else {
-			selection = parameters;
-		}
-		
-		if (openEditor(selection) == null) {
-			System.out.println(ConcordanceUIMessages.ComputeConcordance_1);
-		}
 
-		return null;
-	}
-
-	@Inject
-	public static IEditorPart openEditor(Object o) {
+		Object selection = this.getSelection(event);
 		
-		if (!CQPSearchEngine.isInitialized()) {
-			System.out.println("SearchEngine is not ready. Aborting.");
-			return null;
-		}
-		
 		Concordance concordance = null;
 
-		// Creating from Corpus
-		if (o instanceof Corpus) {
-			Corpus corpus = (Corpus) o;
-			concordance = new Concordance(corpus);
+		// From link: creating from UUID and preferences nodes
+		String uuid = event.getParameter(TXMPreferences.RESULT_UUID);
+		if (uuid != null && !uuid.isEmpty()) {
+			concordance = new Concordance(uuid);
 		}
-		// Reopening existing result
-		else if (o instanceof Concordance) {
-			concordance = (Concordance)o;
+		// From view result node
+		else	{
+			// Creating from Corpus
+			if (selection instanceof Corpus) {
+				Corpus corpus = (Corpus) selection;
+				concordance = new Concordance(corpus);
+			}
+			// Reopening existing result
+			else if (selection instanceof Concordance) {
+				concordance = (Concordance)selection;
+			}
+			// Error
+			else {
+				return this.logCanNotCompute(selection);
+			}
 		}
-		else {
-			System.out.println("Could not call ComputeConcordance with: "+o);
-			return null;
-		}
 		
 		StatusLine.setMessage(ConcordanceUIMessages.ComputeConcordance_0);
 		TXMEditor.openEditor(concordance, ConcordanceEditor.class.getName());
 		return null;
+		
+		// FIXME: old version
+		// if a TXMParameters is linked to the command call, uses its parent to create the concordance
+//		TXMParameters parameters = null;
+//		Map cmdparameters = event.getParameters();
+//		System.out.println(cmdparameters);
+//		if (cmdparameters.containsKey(TXMParameters.class.getName())) {
+//			Object iparam = cmdparameters.get(TXMParameters.class.getName());
+//			if (iparam instanceof TXMParameters) {
+//				parameters = (TXMParameters)iparam;
+//			}
+//		}
+//		Object selection = null;
+//		if (parameters == null) { // no parameters provided
+//			selection = this.getSelection(event);
+//		} else {
+//			selection = parameters;
+//		}
+//		
+//		if (openEditor(selection) == null) {
+//			System.out.println(ConcordanceUIMessages.ComputeConcordance_1);
+//		}
+//
+//		return null;
 	}
+
+	// FIXME: old version
+//	@Inject
+//	public static IEditorPart openEditor(Object o) {
+//		
+//		if (!CQPSearchEngine.isInitialized()) {
+//			System.out.println("SearchEngine is not ready. Aborting.");
+//			return null;
+//		}
+//		
+//		Concordance concordance = null;
+//
+//		// Creating from UUID and preferences nodes
+//		String uuid = event.getParameter(TXMPreferences.RESULT_UUID);
+//		if (uuid != null && !uuid.isEmpty()) {
+//			progression = new Progression(uuid);
+//		}
+//
+//		// Creating from Corpus
+//		if (o instanceof Corpus) {
+//			Corpus corpus = (Corpus) o;
+//			concordance = new Concordance(corpus);
+//		}
+//		// Reopening existing result
+//		else if (o instanceof Concordance) {
+//			concordance = (Concordance)o;
+//		}
+//		else {
+//			System.out.println("Could not call ComputeConcordance with: "+o);
+//			return null;
+//		}
+//		
+//		StatusLine.setMessage(ConcordanceUIMessages.ComputeConcordance_0);
+//		TXMEditor.openEditor(concordance, ConcordanceEditor.class.getName());
+//		return null;
+//	}
 }
Index: tmp/org.txm.oriflamms.rcp/.project
===================================================================
--- tmp/org.txm.oriflamms.rcp/.project	(revision 837)
+++ tmp/org.txm.oriflamms.rcp/.project	(revision 838)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <projectDescription>
-	<name>OriflammsRCP</name>
+	<name>org.txm.exts.oriflamms.rcp</name>
 	<comment></comment>
 	<projects>
 	</projects>
